package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.GameAuthRoleAddParam;
import com.zanxiang.game.module.manage.pojo.params.GameAuthRoleListParam;
import com.zanxiang.game.module.manage.pojo.params.GameAuthRoleUpdateParam;
import com.zanxiang.game.module.manage.pojo.vo.GameAuthRoleVO;
import com.zanxiang.game.module.mybatis.entity.GameAuthRole;

/**
 * @author : lingfeng
 * @time : 2023-08-17
 * @description : 游戏授权角色
 */
public interface IGameAuthRoleService extends IService<GameAuthRole> {

    /**
     * 游戏身份验证角色添加
     *
     * @param param 参数
     * @return boolean
     */
    boolean gameAuthRoleAdd(GameAuthRoleAddParam param);

    /**
     * 游戏更新认证作用
     *
     * @param param 参数
     * @return boolean
     */
    boolean gameAuthRoleUpdate(GameAuthRoleUpdateParam param);

    /**
     * 删除通过id
     *
     * @param id id
     * @return boolean
     */
    boolean deleteById(Long id);

    /**
     * 列表页面
     *
     * @param param 参数
     * @return {@link IPage}<{@link GameAuthRoleVO}>
     */
    IPage<GameAuthRoleVO> listOfPage(GameAuthRoleListParam param);
}
